<div>
  <div class="d-flex" style="width: 100%;">
    <a class="pps-header" style="font-size: 28px; width: 80%;">การจัดการข้อมูลในระบบ</a>

    <div class="div-btn">
      <button type="button" class="btn btn-primary styy" (click)="backpage()">
        ย้อนกลับ
      </button>
      <button type="button" class="btn btn-primary styy-save" (click)="openSaved()">
        บันทึก
      </button>
      <!-- data-toggle="modal"
      data-target="#exampleModal" -->
    </div>
  </div>
  <p class="pps-header_th">
    สามารถจัดการข้อมูลประกอบการให้ความเห็นของสายงานกำกับกฎเกณฑ์และกฎหมายตามที่แสดงด้านล่าง
  </p>
</div>
<br />
<div class="alert alert-success" role="alert" [ngStyle]="{'display': saveDraftstatus !== 'success' ? 'none' : '' }">
  <a class="alert-detail">บันทึกความเห็นสายงานปฎิบัติการเรียบร้อย</a>
</div>

<br />
<div class="add d-flex">
  <th class="description">
    ข้อมูลประกอบการให้ความเห็นของสายงานกำกับกฎเกณฑ์และกฎหมาย
  </th>
  <br /><br />
</div>

<!-- =========================================การบัญชี งบประมาณ================================================== -->
<div class="card border-light mb-3" style="width: 100%;">
  <div class="card-body">
    <div class="row" style="width: 100%;">
      <div class="mt-3" style="width: 79%;">
        <a class="description">ฝ่ายกำกับระเบียบและการปฏิบัติงาน</a>
      </div>

      <!-- <div class="d-flex bd-highlight"> -->
      <div class="flex-shrink-1 bd-highlight justify-content-end" style="width: 20%;">
        <button style="float: right;" type="button" class="btn add_table head-detal" (click)="addRow()">
          <img src="../../../../../assets/img/add_white.svg" />
          <a>เพิ่มข้อมูล</a>
        </button>
      </div>
      <!-- </div> -->
    </div>
    <!-- <div class="row"> -->

    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 10px;width:100%" />
    </div>

    <div class="col-12" cdkDropListGroup class="overflow-auto">
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th style="width: 12%;">ระเบียบและหนังสือเวียน</th>
            <th style="width: 9%;">หัวข้อ</th>
            <th style="width: 10%;">ประเด็น</th>
            <th style="width: 10%;"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of System.account; index as istep">
            <td style="width: 15%;">
              <!-- <input
                type="text"
                class="form-control"
                placeholder="ระบุระเบียบธนาคาร"
                [(ngModel)]="item.regulation"
              /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุระเบียบธนาคาร" [(ngModel)]="item.regulation"
                (ngModelChange)="changeSaveDraftStatus()"></textarea>
              <!-- </ng-template> -->
            </td>
            <td colspan="7" class="pd-0">
              <table class="table-proccess-data wi" cdkDropList [cdkDropListData]="item.topic"
                (cdkDropListDropped)="drop($event)" (cdkDropListEntered)="entered($event)"
                (cdkDropListExited)="dragExited($event)">
                <tr *ngFor="let processItem of item.topic; index as isub" [cdkDragData]="processItem"
                  (cdkDragStarted)="startDrag($event, istep)" cdkDrag>
                  <td style="width: 30%;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                    <!-- <input type="text" class="form-control" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic" /> -->
                    <textarea appTextareaAutoresize autocomplete="off" type="text"
                      class="form-control set-textarea example" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic"
                      (ngModelChange)="changeSaveDraftStatus()">
                    </textarea>
                  </td>

                  <td colspan="7" class="pd-0" cdkDropListGroup>
                    <table class="table-proccess-data wi" cdkDropList id='{{ processItem.id }}'
                      [cdkDropListData]="processItem.detail" (cdkDropListDropped)="dropItem($event)"
                      (cdkDropListEntered)="entered($event)" (cdkDropListExited)="dragExited($event)"
                      [cdkDropListConnectedTo]="connectItem()">
                      <tr *ngFor="
                          let subProcessRisk of processItem.detail;
                          index as isubRisk
                        " [cdkDragData]="subProcessRisk" (cdkDragStarted)="startDrag_Risk($event, isub, istep)"
                        cdkDrag>
                        <td style="width: 30%;" [ngClass]="{
                            td_single: istep % 2 !== 0,
                            td_couple: istep % 2 === 0
                          }">
                          <img cdkDragHandle class="icongrap-risk" src="assets/img/grip-vertical.svg" alt="" />
                          <!-- <input type="text" class="form-control" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" /> -->
                          <textarea appTextareaAutoresize autocomplete="off" type="text"
                            class="form-control set-textarea example" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" (ngModelChange)="changeSaveDraftStatus()">
                            </textarea>
                        </td>
                        <td style="width: 10%;">
                          <span class="delete-data" (click)="removeDataItem(istep, isub, isubRisk)">ลบข้อมูล</span>
                        </td>
                      </tr>

                      <!-- </table> -->
                    </table>
                  </td>
                </tr>
                <!-- </table> -->
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button type="button" class="btn add_table head-detal" (click)="addRow()">
        <img src="../../../../../assets/img/add_white.svg" />
        <a>เพิ่มข้อมูล</a>
      </button>
    </div>
    <!-- </div> -->
  </div>
</div>
<br />
<!-- =================================================END======================================================= -->











<!-- =====================================ฝ่ายกำกับการปฏิบัติตามกฎเกณฑ์ 1============================================ -->
<div class="card border-light mb-3" style="width: 100%;">
  <div class="card-body">
    <div class="row" style="width: 100%;">
      <div class="mt-3" style="width: 79%;">
        <a class="description">ฝ่ายกำกับการปฏิบัติตามกฎเกณฑ์ธุรกิจ 1</a>
      </div>

      <!-- <div class="d-flex bd-highlight"> -->
      <div class="flex-shrink-1 bd-highlight justify-content-end" style="width: 20%;">
        <button style="float: right;" type="button" class="btn add_table head-detal" (click)="addRow_1()">
          <img src="../../../../../assets/img/add_white.svg" />
          <a>เพิ่มข้อมูล</a>
        </button>
      </div>
      <!-- </div> -->
    </div>
    <!-- <div class="row"> -->

    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 10px;width:100%" />
    </div>

    <div class="col-12" cdkDropListGroup class="overflow-auto">
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th style="width: 12%;">หน่วยงาน</th>
            <th style="width: 15%;">เลขที่หนังสือ</th>
            <th style="width: 13%;">หัวข้อ</th>
            <th style="width: 10%;">ประเด็น</th>
            <th style="width: 10%;"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of System.department1; index as istep">
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุระเลขที่หนังสือ" [(ngModel)]="item.bookNumber" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุระเลขที่หนังสือ" [(ngModel)]="item.bookNumber"
                (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td colspan="7" class="pd-0">
              <table class="table-proccess-data wi" cdkDropList [cdkDropListData]="item.topic"
                (cdkDropListDropped)="drop_1($event)" (cdkDropListEntered)="entered($event)"
                (cdkDropListExited)="dragExited($event)">
                <tr *ngFor="let processItem of item.topic; index as isub" [cdkDragData]="processItem"
                  (cdkDragStarted)="startDrag_1($event, istep)" cdkDrag>
                  <td style="width: 40%;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                    <!-- <input type="text" class="form-control" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic" /> -->
                    <textarea appTextareaAutoresize autocomplete="off" type="text"
                      class="form-control set-textarea example" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic"
                      (ngModelChange)="changeSaveDraftStatus()">
                    </textarea>
                  </td>

                  <td colspan="7" class="pd-0" cdkDropListGroup>
                    <table class="table-proccess-data wi" cdkDropList id="{{ processItem.id }}"
                      [cdkDropListData]="processItem.detail" (cdkDropListDropped)="dropItem_1($event)"
                      (cdkDropListEntered)="entered($event)" (cdkDropListExited)="dragExited($event)"
                      [cdkDropListConnectedTo]="connectItem_1()">
                      <tr *ngFor="
                          let subProcessRisk of processItem.detail;
                          index as isubRisk
                        " [cdkDragData]="subProcessRisk" (cdkDragStarted)="startDrag_Risk_1($event, isub, istep)"
                        cdkDrag>
                        <td style="width: 30%;" [ngClass]="{
                            td_single: istep % 2 !== 0,
                            td_couple: istep % 2 === 0
                          }">
                          <img cdkDragHandle class="icongrap-risk" src="assets/img/grip-vertical.svg" alt="" />
                          <!-- <input type="text" class="form-control" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" /> -->
                          <textarea appTextareaAutoresize autocomplete="off" type="text"
                            class="form-control set-textarea example" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" (ngModelChange)="changeSaveDraftStatus()">
                            </textarea>
                        </td>
                        <td style="width: 10%;">
                          <span class="delete-data" (click)="removeDataItem_1(istep, isub, isubRisk)">ลบข้อมูล</span>
                        </td>
                      </tr>

                      <!-- </table> -->
                    </table>
                  </td>
                </tr>
                <!-- </table> -->
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button type="button" class="btn add_table head-detal" (click)="addRow_1()">
        <img src="../../../../../assets/img/add_white.svg" />
        <a>เพิ่มข้อมูล</a>
      </button>
    </div>
    <!-- </div> -->
  </div>
</div>
<br />
<!-- =================================================END======================================================= -->












<!-- =====================================ฝ่ายกำกับการปฏิบัติตามกฎเกณฑ์ 2============================================ -->
<div class="card border-light mb-3" style="width: 100%;">
  <div class="card-body">
    <div class="row" style="width: 100%;">
      <div class="mt-3" style="width: 79%;">
        <a class="description">ฝ่ายกำกับการปฏิบัติตามกฎเกณฑ์ธุรกิจ 2</a>
      </div>

      <!-- <div class="d-flex bd-highlight"> -->
      <div class="flex-shrink-1 bd-highlight justify-content-end" style="width: 20%;">
        <button style="float: right;" type="button" class="btn add_table head-detal" (click)="addRow_2()">
          <img src="../../../../../assets/img/add_white.svg" />
          <a>เพิ่มข้อมูล</a>
        </button>
      </div>
      <!-- </div> -->
    </div>
    <!-- <div class="row"> -->

    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 10px;width:100%" />
    </div>

    <div class="col-12" cdkDropListGroup class="overflow-auto">
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th style="width: 12%;">หน่วยงาน</th>
            <th style="width: 15%;">เลขที่หนังสือ</th>
            <th style="width: 13%;">หัวข้อ</th>
            <th style="width: 10%;">ประเด็น</th>
            <th style="width: 10%;"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of System.department2; index as istep">
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุเลขที่หนังสือ" [(ngModel)]="item.bookNumber" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุเลขที่หนังสือ" [(ngModel)]="item.bookNumber" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td colspan="7" class="pd-0">
              <table class="table-proccess-data wi" cdkDropList [cdkDropListData]="item.topic"
                (cdkDropListDropped)="drop_2($event)" (cdkDropListEntered)="entered($event)"
                (cdkDropListExited)="dragExited($event)">
                <tr *ngFor="let processItem of item.topic; index as isub" [cdkDragData]="processItem"
                  (cdkDragStarted)="startDrag_2($event, istep)" cdkDrag>
                  <td style="width: 40%;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                    <!-- <input type="text" class="form-control" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic" /> -->
                    <textarea appTextareaAutoresize autocomplete="off" type="text"
                      class="form-control set-textarea example" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic"
                      (ngModelChange)="changeSaveDraftStatus()">
                    </textarea>
                  </td>

                  <td colspan="7" class="pd-0" cdkDropListGroup>
                    <table class="table-proccess-data wi" cdkDropList id="{{ processItem.id }}"
                      [cdkDropListData]="processItem.detail" (cdkDropListDropped)="dropItem_2($event)"
                      (cdkDropListEntered)="entered($event)" (cdkDropListExited)="dragExited($event)"
                      [cdkDropListConnectedTo]="connectItem_2()">
                      <tr *ngFor="
                          let subProcessRisk of processItem.detail;
                          index as isubRisk
                        " [cdkDragData]="subProcessRisk" (cdkDragStarted)="startDrag_Risk_2($event, isub, istep)"
                        cdkDrag>
                        <td style="width: 30%;" [ngClass]="{
                            td_single: istep % 2 !== 0,
                            td_couple: istep % 2 === 0
                          }">
                          <img cdkDragHandle class="icongrap-risk" src="assets/img/grip-vertical.svg" alt="" />
                          <!-- <input type="text" class="form-control" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" /> -->
                          <textarea appTextareaAutoresize autocomplete="off" type="text"
                            class="form-control set-textarea example" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" (ngModelChange)="changeSaveDraftStatus()">
                            </textarea>
                        </td>
                        <td style="width: 10%;">
                          <span class="delete-data" (click)="removeDataItem_2(istep, isub, isubRisk)">ลบข้อมูล</span>
                        </td>
                      </tr>

                      <!-- </table> -->
                    </table>
                  </td>
                </tr>
                <!-- </table> -->
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button type="button" class="btn add_table head-detal" (click)="addRow_2()">
        <img src="../../../../../assets/img/add_white.svg" />
        <a>เพิ่มข้อมูล</a>
      </button>
    </div>
    <!-- </div> -->
  </div>
</div>
<br />
<!-- =================================================END======================================================= -->














<!-- ===================================ฝ่ายกำกับการปฏิบัติตามกฎเกณฑ์ทางการ========================================== -->
<div class="card border-light mb-3" style="width: 100%;">
  <div class="card-body">
    <div class="row" style="width: 100%;">
      <div class="mt-3" style="width: 79%;">
        <a class="description">ฝ่ายกำกับการปฏิบัติตามกฎเกณฑ์ทางการ</a>
      </div>

      <!-- <div class="d-flex bd-highlight"> -->
      <div class="flex-shrink-1 bd-highlight justify-content-end" style="width: 20%;">
        <button style="float: right;" type="button" class="btn add_table head-detal" (click)="addRow_of()">
          <img src="../../../../../assets/img/add_white.svg" />
          <a>เพิ่มข้อมูล</a>
        </button>
      </div>
      <!-- </div> -->
    </div>
    <!-- <div class="row"> -->

    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 10px;width:100%" />
    </div>

    <div class="col-12" cdkDropListGroup class="overflow-auto">
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th style="width: 12%;">หน่วยงาน</th>
            <th style="width: 15%;">เลขที่หนังสือ</th>
            <th style="width: 13%;">หัวข้อ</th>
            <th style="width: 10%;">ประเด็น</th>
            <th style="width: 10%;"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of System.rule; index as istep">
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุเลขที่หนังสือ" [(ngModel)]="item.bookNumber" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุเลขที่หนังสือ" [(ngModel)]="item.bookNumber" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td colspan="7" class="pd-0">
              <table class="table-proccess-data wi" cdkDropList [cdkDropListData]="item.topic"
                (cdkDropListDropped)="drop_of($event)" (cdkDropListEntered)="entered($event)"
                (cdkDropListExited)="dragExited($event)">
                <tr *ngFor="let processItem of item.topic; index as isub" [cdkDragData]="processItem"
                  (cdkDragStarted)="startDrag_of($event, istep)" cdkDrag>
                  <td style="width: 40%;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                    <!-- <input type="text" class="form-control" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic" /> -->
                    <textarea appTextareaAutoresize autocomplete="off" type="text"
                      class="form-control set-textarea example" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic"
                      (ngModelChange)="changeSaveDraftStatus()">
                    </textarea>
                  </td>

                  <td colspan="7" class="pd-0" cdkDropListGroup>
                    <table class="table-proccess-data wi" cdkDropList id="{{ processItem.id }}"
                      [cdkDropListData]="processItem.detail" (cdkDropListDropped)="dropItem_of($event)"
                      (cdkDropListEntered)="entered($event)" (cdkDropListExited)="dragExited($event)"
                      [cdkDropListConnectedTo]="connectItem_of()">
                      <tr *ngFor="
                          let subProcessRisk of processItem.detail;
                          index as isubRisk
                        " [cdkDragData]="subProcessRisk" (cdkDragStarted)="startDrag_Risk_of($event, isub, istep)"
                        cdkDrag>
                        <td style="width: 30%;" [ngClass]="{
                            td_single: istep % 2 !== 0,
                            td_couple: istep % 2 === 0
                          }">
                          <img cdkDragHandle class="icongrap-risk" src="assets/img/grip-vertical.svg" alt="" />
                          <!-- <input type="text" class="form-control" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" /> -->
                          <textarea appTextareaAutoresize autocomplete="off" type="text"
                            class="form-control set-textarea example" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" (ngModelChange)="changeSaveDraftStatus()">
                            </textarea>
                        </td>
                        <td style="width: 10%;">
                          <span class="delete-data" (click)="removeDataItem_of(istep, isub, isubRisk)">ลบข้อมูล</span>
                        </td>
                      </tr>

                      <!-- </table> -->
                    </table>
                  </td>
                </tr>
                <!-- </table> -->
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button type="button" class="btn add_table head-detal" (click)="addRow_of()">
        <img src="../../../../../assets/img/add_white.svg" />
        <a>เพิ่มข้อมูล</a>
      </button>
    </div>
    <!-- </div> -->
  </div>
</div>
<br />
<!-- =================================================END======================================================= -->








<!-- ===================================================ฝ่ายนิติกร================================================ -->
<div class="card border-light mb-3" style="width: 100%;">
  <div class="card-body">
    <div class="row" style="width: 100%;">
      <div class="mt-3" style="width: 79%;">
        <a class="description">ฝ่ายนิติการ</a>
      </div>

      <!-- <div class="d-flex bd-highlight"> -->
      <div class="flex-shrink-1 bd-highlight justify-content-end" style="width: 20%;">
        <button style="float: right;" type="button" class="btn add_table head-detal" (click)="addRow_law()">
          <img src="../../../../../assets/img/add_white.svg" />
          <a>เพิ่มข้อมูล</a>
        </button>
      </div>
      <!-- </div> -->
    </div>
    <!-- <div class="row"> -->

    <div class="col-12">
      <hr style="margin-top: 0px; margin-bottom: 10px;width:100%" />
    </div>

    <div class="col-12" cdkDropListGroup class="overflow-auto">
      <table class="table-proccess table table-striped">
        <thead>
          <tr>
            <th style="width: 12%;">หน่วยงาน</th>
            <th style="width: 15%;">เลขที่หนังสือ</th>
            <th style="width: 13%;">หัวข้อ</th>
            <th style="width: 10%;">ประเด็น</th>
            <th style="width: 10%;"></th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of System.law; index as istep">
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุหน่วยงาน" [(ngModel)]="item.department" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td style="width: 15%;">
              <!-- <input type="text" class="form-control" placeholder="ระบุเลขที่หนังสือ" [(ngModel)]="item.bookNumber" /> -->
              <textarea appTextareaAutoresize autocomplete="off" type="text" class="form-control set-textarea example"
                placeholder="ระบุเลขที่หนังสือ" [(ngModel)]="item.bookNumber" (ngModelChange)="changeSaveDraftStatus()">
              </textarea>
              <!-- </ng-template> -->
            </td>
            <td colspan="7" class="pd-0">
              <table class="table-proccess-data wi" cdkDropList [cdkDropListData]="item.topic"
                (cdkDropListDropped)="drop_law($event)" (cdkDropListEntered)="entered($event)"
                (cdkDropListExited)="dragExited($event)">
                <tr *ngFor="let processItem of item.topic; index as isub" [cdkDragData]="processItem"
                  (cdkDragStarted)="startDrag_law($event, istep)" cdkDrag>
                  <td style="width: 40%;" [ngClass]="{
                      td_single: istep % 2 !== 0,
                      td_couple: istep % 2 === 0
                    }">
                    <img cdkDragHandle class="icongrap" src="assets/img/grip-vertical.svg" alt="" />
                    <!-- <input type="text" class="form-control" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic" /> -->
                    <textarea appTextareaAutoresize autocomplete="off" type="text"
                      class="form-control set-textarea example" placeholder="ระบุหัวข้อ" [(ngModel)]="processItem.topic"
                      (ngModelChange)="changeSaveDraftStatus()">
                    </textarea>
                  </td>

                  <td colspan="7" class="pd-0" cdkDropListGroup>
                    <table class="table-proccess-data wi" cdkDropList id="{{ processItem.id }}"
                      [cdkDropListData]="processItem.detail" (cdkDropListDropped)="dropItem_law($event)"
                      (cdkDropListEntered)="entered($event)" (cdkDropListExited)="dragExited($event)"
                      [cdkDropListConnectedTo]="connectItem_law()">
                      <tr *ngFor="
                          let subProcessRisk of processItem.detail;
                          index as isubRisk
                        " [cdkDragData]="subProcessRisk" (cdkDragStarted)="startDrag_Risk_law($event, isub, istep)"
                        cdkDrag>
                        <td style="width: 30%;" [ngClass]="{
                            td_single: istep % 2 !== 0,
                            td_couple: istep % 2 === 0
                          }">
                          <img cdkDragHandle class="icongrap-risk" src="assets/img/grip-vertical.svg" alt="" />
                          <!-- <input type="text" class="form-control" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" /> -->
                          <textarea appTextareaAutoresize autocomplete="off" type="text"
                            class="form-control set-textarea example" placeholder="ระบุประเด็น"
                            [(ngModel)]="subProcessRisk.detail" (ngModelChange)="changeSaveDraftStatus()">
                            </textarea>
                        </td>
                        <td style="width: 10%;">
                          <span class="delete-data" (click)="removeDataItem_law(istep, isub, isubRisk)">ลบข้อมูล</span>
                        </td>
                      </tr>

                      <!-- </table> -->
                    </table>
                  </td>
                </tr>
                <!-- </table> -->
              </table>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <div class="col-12 d-flex justify-content-end">
      <button type="button" class="btn add_table head-detal" (click)="addRow_law()">
        <img src="../../../../../assets/img/add_white.svg" />
        <a>เพิ่มข้อมูล</a>
      </button>
    </div>
    <!-- </div> -->
  </div>
</div>
<br />
<!-- =================================================END======================================================= -->


<!-- Button trigger modal -->

<!-- Modal -->
<!-- <div
  class="modal fade"
  id="exampleModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">
          บันทึกการเปลี่ยนแปลงข้อมูล
        </h5>
      </div>
      <div class="modal-body">
        <label class="save-modal"
          >คุณต้องการบันทึก <br />
          "ข้อมูลประกอบการให้ความเห็นของสายงานกำกับกฎเกณฑ์และกฎหมาย" <br />
          ใช่หรือไม่?
        </label>
      </div>
      <div class="modal-footer">
        <button
          type="button"
          class="btn btn-primary"
          style="background-color: #006b94;"
          (click)="saveDataAll()"
          data-dismiss="modal"
        >
          บันทึกการเปลี่ยนแปลง
        </button>
        <button type="button" class="btn btn-secondary" data-dismiss="modal">
          ยกเลิก
        </button>
      </div>
    </div>
  </div>
</div> -->